JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
const event = await client.events.retrieve('id');
console.log(event.id);import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
event = client.events.retrieve(
"id",
)
print(event.id)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.events.Event;
import com.rye.models.events.EventRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
Event event = client.events().retrieve("id");
}
}curl https://staging.api.rye.com/api/v1/events/$ID \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"id": "evt_1234567890",
"object": "event",
"type": "checkout_intent.offer_retrieved",
"createdAt": "2026-03-25T00:00:00Z",
"source": {
"id": "ci_1234567890",
"type": "checkout_intent"
},
"data": {}
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Events
Retrieve event
Retrieves an event by ID.
GET
/
api
/
v1
/
events
/
{id}
JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
const event = await client.events.retrieve('id');
console.log(event.id);import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
event = client.events.retrieve(
"id",
)
print(event.id)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.events.Event;
import com.rye.models.events.EventRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
Event event = client.events().retrieve("id");
}
}curl https://staging.api.rye.com/api/v1/events/$ID \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"id": "evt_1234567890",
"object": "event",
"type": "checkout_intent.offer_retrieved",
"createdAt": "2026-03-25T00:00:00Z",
"source": {
"id": "ci_1234567890",
"type": "checkout_intent"
},
"data": {}
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}Authorizations
Rye API key
Path Parameters
Response
The event
Unique identifier for the event. This can be used as an idempotency key to avoid double-processing of the same underlying event.
Example:
"evt_1234567890"
Available options:
event type
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
required
Description of the event.
Refer to types of events for a list of possible values.
Available options:
checkout_intent.offer_retrieved, checkout_intent.offer_failed, checkout_intent.completed, checkout_intent.order_failed Example:
"checkout_intent.offer_retrieved"
Timestamp of when the event was created.
Example:
"2026-03-25T00:00:00Z"
A reference to the object which triggered the event.
You should use the API to fetch the full object details.
Show child attributes
Show child attributes
The event data payload. The concrete shape depends on source.type.
Refer to webhook event types
for the payload shape associated with each source.type.
Show child attributes
Show child attributes
Was this page helpful?

